RFC Types API
List RFC Types
List all RFC types for an account:
GET /rfc_types
Response
status: 200 OK
[
{
"id": 2,
"sourceID": null,
"reference": "service_request",
"name": "Service Request",
"description": "",
"position": 1,
"created_at": "2026-02-23T05:09:03-06:00",
"updated_at": "2026-02-23T05:09:03-06:00"
},
{
"id": 3,
"sourceID": null,
"reference": "non_standard_request",
"name": "Non Standard Request",
"description": "",
"position": 2,
"created_at": "2026-02-23T05:09:03-06:00",
"updated_at": "2026-02-23T05:09:03-06:00"
}
]
The response contains these fields by default. Filtering and pagination are available to reduce/limit the collection of RFC types.
Collection Fields
By default the following fields will appear in collections of RFC types:
id sourceID reference name description position created_at updated_at
Obtain a different set of fields using the ?fields=parameter.
Filtering
Filtering is available for the following fields:
id sourceID reference name disabled created_at updated_at
The filters on sourceID, reference and name are not case sensitive.
Sorting
By default a collection of RFC types is sorted ascending by id.
The following fields are accepted by the ?sort=parameter:
id sourceID reference name position created_at updated_at
Get a single RFC type
GET /rfc_types/:id
Response
status: 200 OK
{
"attachments": [],
"created_at": "2026-02-23T05:09:03-06:00",
"description": "",
"disabled": false,
"id": 2,
"information": "Request for standard service",
"name": "Service Request",
"position": 1,
"reference": "service_request",
"source": null,
"sourceID": null,
"updated_at": "2026-02-23T05:09:03-06:00"
}
The response contains these fields.
Create a RFC type
POST /rfc_types
When creating a new RFC type these fields are available.
Response
status: 201 Created
{
"id": "...",
"...": "..."
}
The response contains all fields of the created RFC type and is similar to the response in Get a single RFC type
Update a RFC type
PATCH /rfc_types/:id
When updating a RFC type these fields are available.
Response
status: 200 OK
{
"id": "...",
"...": "..."
}
The response contains all fields of the updated RFC type and is similar to the response in Get a single RFC type
Fields
- attachments
- Readonly aggregated Attachments
- created_at
- Readonly datetime — The date and time at which the RFC type was created.
- description
- Optional string (max 255) — The Description field is used to enter a very short description of the RFC type, for example “More than 200 workdays or $200K”.
- disabled
- Optional boolean, default:
false— The Disabled box is checked when the RFC type may not be related to any more rfcs. - id
- Readonly integer — The unique ID of the RFC type.
- information
- Optional text (max 64KB) — The Information field is used to add any additional information about the RFC type that might prove useful.
- information_attachments
- Writeonly attachments The attachments used in the Information field.
- name
- Required string (max 128) — The Name field is used to enter the name of the RFC type. Ideally the name of a RFC type consists of a single word, such as “Large”.
- position
- Optional integer — The Position field dictates the position that the RFC type takes when it is displayed in a sorted list.
- reference
- Readonly string (max 128) — The Reference field is automatically set to the Name field value, written in lower case characters and with all spaces replaced by the underscore character. This reference can be used to link the RFC type to a rfc using the Xurrent REST API or the Xurrent Import functionality.
- source
- Optional string (max 30) - See source
- sourceID
- Optional string (max 128) - See source
- updated_at
- Readonly datetime — The date and time of the last update of the RFC type. If the RFC type has no updates it contains the
created_atvalue.